# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data
Class BaseEntry.EntryState

    java.lang.Object
      com.google.gdata.data.BaseEntry.EntryState

Enclosing class:
  BaseEntry<E extends BaseEntry>

    protected static class BaseEntry.EntryState

extends java.lang.Object

The EntryState class provides a simple structure that encapsulates the attributes of an Atom entry that should be shared with a shallow copy if the entry is adapted to a more specific BaseEntry `Kind.Adaptor` subtypes.

See Also:
  `BaseEntry.BaseEntry(BaseEntry)`

Field Summary
`Kind.Adaptable` `adaptable` Adaptable helper.
`java.util.LinkedList<Person>` `authors` Authors of entry.
`boolean` `canEdit` {code true} if the entry can be modified by a client.
`java.util.HashSet<Category>` `categories` Categories of entry.
`Content` `content` Content of entry.
`java.util.LinkedList<Person>` `contributors` Contributors of entry.
`DateTime` `edited` Last edit timestamp
`java.lang.String` `etag` Etag.
`java.lang.String` `fields` gd:fields.
`java.lang.String` `id` Entry id.
`java.lang.String` `kind` gd:kind.
`java.util.LinkedList<Link>` `links` Links of entry.
`PubControl` `pubControl` Atom publication control status, which contains the draft status.
`DateTime` `published` Creation timestamp.
`TextConstruct` `rights` Rights of entry.
`Service` `service` Service.
`Source` `source` Source.
`TextConstruct` `summary` Summary of entry.
`TextConstruct` `title` Title of entry.
`DateTime` `updated` Last updated timestamp.
`java.lang.String` `versionId` Version ID.

Constructor Summary
`protected` `BaseEntry.EntryState()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    public java.lang.String id

  Entry id.

### versionId

    public java.lang.String versionId

  Version ID. This is a unique number representing this particular entry. Every update changes the version ID (unless the update doesn't modify anything, in which case it's permissible for version ID to stay the same). Services are free to interpret this string in the most convenient way. Some services may choose to use a monotonically increasing sequence of version IDs. Other services may compute a hash of entry properties and use that.

  This property is only used for services to communicate the current version ID back to the servlet. It is NOT set when entries are parsed (either from requests or from arbitrary XML).

### etag

    public java.lang.String etag

  Etag. See RFC 2616, Section 3.11. If there is no entity tag, this variable is null. Etags are provided not only on top-level entries, but also on entries within feeds (in the form of a gd:etag attribute).

### fields

    public java.lang.String fields

  gd:fields. This is the field selection associated with this entry. If not `null` then this entry represents a partial entry.

### kind

    public java.lang.String kind

  gd:kind. This is the kind attribute for this entry. If there is no kind attribute for this entry, this variable is null.

### published

    public DateTime published

  Creation timestamp. Ignored on updates.

### updated

    public DateTime updated

  Last updated timestamp.

### edited

    public DateTime edited

  Last edit timestamp

### categories

    public java.util.HashSet<Category> categories

  Categories of entry.

### title

    public TextConstruct title

  Title of entry.

### summary

    public TextConstruct summary

  Summary of entry.

### rights

    public TextConstruct rights

  Rights of entry.

### content

    public Content content

  Content of entry.

### links

    public java.util.LinkedList<Link> links

  Links of entry.

### authors

    public java.util.LinkedList<Person> authors

  Authors of entry.

### contributors

    public java.util.LinkedList<Person> contributors

  Contributors of entry.

### source

    public Source source

  Source.

### service

    public Service service

  Service.

### canEdit

    public boolean canEdit

  {code true} if the entry can be modified by a client.

### pubControl

    public PubControl pubControl

  Atom publication control status, which contains the draft status.

### adaptable

    public Kind.Adaptable adaptable

  Adaptable helper.

Constructor Detail

### BaseEntry.EntryState

    protected BaseEntry.EntryState()